{***(V.K.)**********************************************************************
	This unit contains IE's dispatch IDs.
  Converted from VC++ 6.0 exdispid.h header file by Vadim Krochak
*******************************************************************************}
unit ExDispID;

interface

const
//
// Dispatch IDS for IExplorer Dispatch Events.
//
	DISPID_BEFORENAVIGATE     = 100;   // this is sent before navigation to give a chance to abort
	DISPID_NAVIGATECOMPLETE   = 101;   // in async, this is sent when we have enough to show
	DISPID_STATUSTEXTCHANGE   = 102;
	DISPID_QUIT               = 103;
	DISPID_DOWNLOADCOMPLETE   = 104;
	DISPID_COMMANDSTATECHANGE = 105;
	DISPID_DOWNLOADBEGIN      = 106;
	DISPID_NEWWINDOW          = 107;   // sent when a new window should be created
	DISPID_PROGRESSCHANGE     = 108;   // sent when download progress is updated
	DISPID_WINDOWMOVE         = 109;   // sent when main window has been moved
	DISPID_WINDOWRESIZE       = 110;   // sent when main window has been sized
	DISPID_WINDOWACTIVATE     = 111;   // sent when main window has been activated
	DISPID_PROPERTYCHANGE     = 112;   // sent when the PutProperty method is called
	DISPID_TITLECHANGE        = 113;   // sent when the document title changes

	DISPID_FRAMEBEFORENAVIGATE   = 200;
	DISPID_FRAMENAVIGATECOMPLETE = 201;
	DISPID_FRAMENEWWINDOW        = 204;

	DISPID_BEFORENAVIGATE2      = 250;   // hyperlink clicked on
	DISPID_NEWWINDOW2           = 251;
	DISPID_NAVIGATECOMPLETE2    = 252;   // UIActivate new document
	DISPID_ONQUIT               = 253;
	DISPID_ONVISIBLE            = 254;   // sent when the window goes visible/hidden
	DISPID_ONTOOLBAR            = 255;   // sent when the toolbar should be shown/hidden
	DISPID_ONMENUBAR            = 256;   // sent when the menubar should be shown/hidden
	DISPID_ONSTATUSBAR          = 257;   // sent when the statusbar should be shown/hidden
	DISPID_ONFULLSCREEN         = 258;   // sent when kiosk mode should be on/off
	DISPID_DOCUMENTCOMPLETE     = 259;   // new document goes ReadyState_Complete
	DISPID_ONTHEATERMODE        = 260;   // sent when theater mode should be on/off
	DISPID_ONADDRESSBAR         = 261;   // sent when the address bar should be shown/hidden

// define the events for the shell folder view
	DISPID_SELECTIONCHANGED     = 200;     // The Selection Changed

// define the events for the shell wiwndow list
	DISPID_WINDOWREGISTERED     = 200;     // Window registered
	DISPID_WINDOWREVOKED        = 201;     // Window Revoked

	DISPID_RESETFIRSTBOOTMODE     	= 1;
	DISPID_RESETSAFEMODE            = 2;
	DISPID_REFRESHOFFLINEDESKTOP    = 3;
	DISPID_ADDFAVORITE              = 4;
	DISPID_ADDCHANNEL               = 5;
	DISPID_ADDDESKTOPCOMPONENT      = 6;
	DISPID_ISSUBSCRIBED             = 7;
	DISPID_SHELLUIHELPERLAST        = 7;

implementation
end.////////////////////////////////////////////////////////////////////////////
 